from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XControlInformation(XInterface, Protocol):
    def getSupportedControls(self) -> list[str]: ...
    def isControlSupported(self, aControlName: str) -> bool: ...
